Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EclipseLink » Exits a working RCP-Example for EclipsLink -JPA?
Exits a working RCP-Example for EclipsLink -JPA? [message #385753] Thu, 05 March 2009 22:41 Go to next message
Heiko Ahlig is currently offline Heiko Ahlig
Messages: 62
Registered: July 2009
Member
Hi today I attempt to found a working RCP - excample und start this then.

At the wiki I found the following link:
http://dev.eclipse.org/svnroot/rt/org.eclipse.persistence/tr unk/examples/org.eclipse.persistence.example.jpa.rcp.comics/ ReadMe.txt
I load different versions from this and tried tu compile an run it at
Eclipse 3.5M5 and 3.4.1 and EclipseLink-plugins 1.0.2 and 1.1 RC2 but no
combination works.
It already fails at the org.eclipse.persistence.example.jpa.comics.setup
because some needed bundles where not started. :(

Can somebody tell me, if exists a working version of this or an other
RCP ecxample?


Regards
Heiko
Re: Exits a working RCP-Example for EclipsLink -JPA? [message #385755 is a reply to message #385753] Fri, 06 March 2009 19:06 Go to previous messageGo to next message
Shaun Smith is currently offline Shaun Smith
Messages: 197
Registered: July 2009
Senior Member
Hi Heiko,

> I load different versions from this and tried tu compile an run it at
> Eclipse 3.5M5 and 3.4.1 and EclipseLink-plugins 1.0.2 and 1.1 RC2 but no
> combination works.

I went through the instructions in the ReadMe.txt and had no problems.

> It already fails at the org.eclipse.persistence.example.jpa.comics.setup
> because some needed bundles where not started. :(

What is the error you're getting?

FYI, my run configuration for the setup contains the following bundles:

Workspace:
org.eclipse.persistence.derby (10.3.2.1)
org.eclipse.persistence.example.jpa.comics.model.annotated (1.0.0)
org.eclipse.persistence.example.jpa.comics.setup (1.0.0)
Target Platform:
javax.persistence (1.99.0)
org.eclipse.osgi (3.4.0.v20080605-1900)
org.eclipse.persistence.core (1.0.1)
org.eclipse.persistence.jpa (1.0.1)

Note that the Manifest's for org.eclipse.persistence.core and
org.eclipse.persistence.jpa are incorrectly set to 1.0.1 but they are
actually the 1.0.2 bundles. This is bug in the build that's been fixed.

--Shaun
Re: Exits a working RCP-Example for EclipsLink -JPA? [message #385760 is a reply to message #385755] Mon, 09 March 2009 21:15 Go to previous message
Heiko Ahlig is currently offline Heiko Ahlig
Messages: 62
Registered: July 2009
Member
Hi,
after some addiontional trys it works.
It seems that the something in the launch-file dosent work right.
After set "optional dependencies" true and realod the required bundles,
it works.

The other thing was, that i drop the eclipselink-plugins into the
plugins-diretory and not into the dropins-directory.

where is the diffrence between this 2 locations?

Greetings
Heiko

Shaun Smith schrieb:
> Hi Heiko,
>
>> I load different versions from this and tried tu compile an run it
>> at Eclipse 3.5M5 and 3.4.1 and EclipseLink-plugins 1.0.2 and 1.1 RC2
>> but no combination works.
>
> I went through the instructions in the ReadMe.txt and had no problems.
>
>> It already fails at the
>> org.eclipse.persistence.example.jpa.comics.setup because some needed
>> bundles where not started. :(
>
> What is the error you're getting?
> FYI, my run configuration for the setup contains the following bundles:
>
> Workspace: org.eclipse.persistence.derby (10.3.2.1)
> org.eclipse.persistence.example.jpa.comics.model.annotated (1.0.0)
> org.eclipse.persistence.example.jpa.comics.setup (1.0.0)
> Target Platform:
> javax.persistence (1.99.0)
> org.eclipse.osgi (3.4.0.v20080605-1900)
> org.eclipse.persistence.core (1.0.1)
> org.eclipse.persistence.jpa (1.0.1)
>
> Note that the Manifest's for org.eclipse.persistence.core and
> org.eclipse.persistence.jpa are incorrectly set to 1.0.1 but they are
> actually the 1.0.2 bundles. This is bug in the build that's been fixed.
>
> --Shaun
>
Previous Topic:JPQL - Join + Select in
Next Topic:JPA error on "primitive" property with "wrapped" field
Goto Forum:
  


Current Time: Thu Oct 23 04:48:55 GMT 2014

Powered by FUDForum. Page generated in 0.01744 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software